{$DEFINE LONGPATHS}
  // Support for very long paths (over 256 characters)
  // Requires Unicode build (Delphi 2009+)

{$DEFINE LARGEFILES}
  // Support for files over 2TB on Windows XP
  // Untested, but should work

{$DEFINE SHOWRESULTSIMMEDIATELY}
  // Show found differences while scanning.

{.DEFINE CASESENSITIVESUPPORT}
  // Support case-insensitive searches on Windows
  // Needs HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\kernel\ObCaseInsensitive
  //   set to 1, otherwise kernel overrides the case-sensitive flags anyway

{$DEFINE OVERRIDEWOW64}
  // Support for WoW64 redirection

  {$DEFINE OVERRIDEWOW64GLOBALLY}
    // Override WoW64 redirection globally (in whole application). It's quick and simple
    // but requires that the application does not try to load DLLs while redirection is
    // turned on.

{$DEFINE DELPHICZBANNER}
  // Show banner for Delphi.cz competition

//----- DON'T CHANGE ANYTHING BELOW THIS LINE ----------------------------------

{$IFNDEF MSWINDOWS}
  {$UNDEF LONGPATHS}
  {$UNDEF LARGEFILES}
  {$UNDEF CASESENSITIVESUPPORT}
  {$UNDEF OVERRIDEWOW64}
{$ENDIF}

{$IFDEF WIN64}
  {$UNDEF OVERRIDEWOW64}
{$ENDIF}

{$IFNDEF UNICODE}
  {$UNDEF LONGPATHS}
{$ENDIF}

{$IFNDEF OVERRIDEWOW64}
  {$UNDEF OVERRIDEWOW64GLOBALLY}
{$ENDIF}

